<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>EMR3.0 Management</title>
<script type="text/javascript" src="../js/jquery-1.4.2.js"></script>
<link rel="stylesheet" type="text/css" href="../style/replant.css" />
<link rel="stylesheet" type="text/css"  href="../style/simplemodal.css" />
<style type="text/css">
#simplemodal-container 
{
	color:#444444;
	border:0px;
}
.mainfram select
{
	width:130px;
}
.mainfram_edition
{
	height:40px;
}
.updateDiv
{
	width:900px;
	height:30px;
}
.updateDiv table
{
	width:450px;
}
.updateDiv table td
{
	text-align:center;
	width:225px;
}
.mainfram_ul2
{
	width:470px
}
.modulationDiv
{
	width:940px;
	height:170px;
}
.outputDiv
{
	width:940px;
	height:100px;
}
.outputDiv input
{
	width: 124px;
}

</style>
<script src="global.js" type=text/javascript></script>
<script type="text/javascript" src="../js/dvb_s_s2_param_config_en.js"></script>
<script type="text/javascript" src="../js/jquery.simplemodal-1.4.2.js"></script>
<script type="text/javascript" language="javascript">
<%updataDvb_S_S2(slotno,1);%>
</script>
</head>
<body onload="paramDisplay()">
<div class="mainfram_bar_test">
  <div class="mainfram_bar_test_text">Cards >
    <script>
	  document.write("card" + slotno + "--DVB-S/S2 Modulation Card > Param Setting");
	</script>
  </div>
</div>
<div class="virtualbody">
  <div class="mainfram">
    <form id="paramForm" name="paramForm" method="post" action="/goform/mcuSetDvb_S_S2">
      <input type="hidden" name="curslot" id="curslot" />
      <input type="hidden" name="curpage" id="curpage" value="1" />
      <div class="tab">
        <ul>
          <li class="tab_selected" onclick="jump(1);">Param Setting</li>
          <li onclick="jump(2);">Status Info</li>
        </ul>
      </div>
      <div class="mainfram_head2"></div>
	  <div class="mainfram_bar">
		  <div class="mainfram_bar_text">Card Setting</div>
      </div>
	  <div class="mainfram_edition">
		  <ul class="mainfram_ul">
			<li><b>Alarm Switch:</b>
			  <select id="cardAlarmSwitch" name="cardAlarmSwitch" onchange="outpParamSet(this);">
				<option value="0" selected="selected">OFF</option>
				<option value="1">ON</option>
			  </select>
			</li>
		  </ul>
		  <ul class="mainfram_ul">
			<li>
				<input type="button" id="advancedDisplay" value="Show Advanced Setting" onclick="updateConfigDisplay();" />
			</li>
		  </ul>
	  </div>
      <div class="updateDiv">
		  <div id="updateConfig" style="display:none">
		  	 <table align="right">
		  	 	<tr>
			      <td><input type="button" name="button2" id="button2" value="Update VxWorks" onclick="setValue(2);" /></td>
			      <td><input type="button" name="button1" id="button1" value="Update Bootloader" onclick="setValue(1);" /></td>
			    </tr>
			 </table>
		  </div>
	     <input type="hidden" name="updateBootloader" id="updateBootloader" value="0" disabled="true" />
	     <input type="hidden" name="updateVxWorks" id="updateVxWorks" value="0" disabled="true" />
	  </div>
	  <div class="mainfram_bar">
		<div class="mainfram_bar_text">Modulation Setting</div>
	  </div>
	  <div class="modulationDiv">
        <ul class="mainfram_ul2">
          <li><b>Input Source:</b>
            <select id="inputSource" name="inputSource" onchange="constelParamSet(this);">
              <option value="0">Local ASI TS</option>
              <option value="1">Backboard Muxing TS</option>
            </select>
          </li>
          <li><b>Modulation Standard:</b>
            <select id="modStandard" name="modStandard" onchange="modStandardChange();constelParamSet(this);">
              <option value="0">DVB-S</option>
              <option value="1">DVB-S2</option>
            </select>
          </li>
          <li><b>FEC Rate & Constellation:</b>
			<select id="fecRateConstellationS" name="fecRateConstellationS" onchange="constelParamSet(this);">
				<option value="0">QPSK-1/2</option>
				<option value="1">QPSK-2/3</option>
				<option value="2">QPSK-3/4</option>
				<option value="3">QPSK-5/6</option>
				<option value="4">QPSK-7/8</option>
			</select>
			<select id="fecRateConstellationS2" name="fecRateConstellationS2" onchange="fecRateChange();constelParamSet(this);" style="display:none;">
				<option value="1">QPSK-1/4</option>
				<option value="2">QPSK-1/3</option>
				<option value="3">QPSK-2/5</option>
				<option value="4">QPSK-1/2</option>
				<option value="5">QPSK-3/5</option>
				<option value="6">QPSK-2/3</option>
				<option value="7">QPSK-3/4</option>
				<option value="8">QPSK-4/5</option>
				<option value="9">QPSK-5/6</option>
				<option value="10">QPSK-8/9</option>
				<option value="11">QPSK-9/10</option>
				<option value="12">8PSK-3/5</option>
				<option value="13">8PSK-2/3</option>
				<option value="14">8PSK-3/4</option>
				<option value="15">8PSK-5/6</option>
				<option value="16">8PSK-8/9</option>
				<option value="17">8PSK-9/10</option>
				<option value="18">16APSK-2/3</option>
				<option value="19">16APSK-3/4</option>
				<option value="20">16APSK-4/5</option>
				<option value="21">16APSK-5/6</option>
				<option value="22">16APSK-8/9</option>
				<option value="23">16APSK-9/10</option>
				<option value="24">32APSK-3/4</option>
				<option value="25">32APSK-4/5</option>
				<option value="26">32APSK-5/6</option>
				<option value="27">32APSK-8/9</option>
				<option value="28">32APSK-9/10</option>
			</select>
          </li>
          <li><b>Constellation Amplitude Normalization:</b>
			<select id="constellation" name="constellation" onchange="constelParamSet(this);">
				<option value="1">Power </option>
				<option value="0">Outer Circle Radius</option>
			</select>
          </li>
          <li><b>FEC-Frame Type:</b>
			<select id="fecFrameType" name="fecFrameType" onchange="fecFrameTypeChange();constelParamSet(this);">
				<option value="0">Normal</option>
				<option value="1">Short</option>
			</select>
          </li>
		</ul>
        <ul class="mainfram_ul2">
          <li><b>Base Band Process:</b>
			<select id="baseBandProcess" name="baseBandProcess" onchange="constelParamSet(this);" disabled="disabled">
				<option value="0">Bitrate Adaption</option>
				<option value="1">Stuff</option>
				<option value="2">Close</option>
			</select>    
          </li>
          <li><b>Reference Clock:</b>
			<select id="referClock" name="referClock" onchange="constelParamSet(this);" disabled="disabled">
				<option value="0">Internal</option>
				<option value="1">External</option>
			</select>
          </li>
          <li><b>Pilot Switch:</b>
			<select id="guidePilotSwitch" name="guidePilotSwitch" onchange="constelParamSet(this);">
				<option value="1">ON</option>
				<option value="0">OFF</option>
			</select>
          </li>
          <li><b>Spectrum Inversion:</b>
			<select id="spectrumInver" name="spectrumInver" onchange="constelParamSet(this);">
				<option value="1">Open</option>
				<option value="0">Close</option>
			</select>		  
          </li>
          <li><b>Roll-off Factor:</b>
			<select id="rollOffFactor" name="rollOffFactor" onchange="constelParamSet(this);">
				<option value="0">35%</option>
				<option value="1">25%</option>
				<option value="2">20%</option>
			</select>
          </li>
        </ul>
	  </div>
	  <div class="mainfram_bar">
		<div class="mainfram_bar_text">Output Setting</div>
	  </div>
	  <div class="outputDiv">
        <ul class="mainfram_ul2">
	      <li><b>Symbol Rate(Ksps):</b>
			<input type="text" id="symbolRate" name="symbolRate" maxlength="5" onchange="outpParamSet(this);" />
          </li>
          <li><b>Output Frequency(KHz):</b>
    		<input type="text" id="outpFreq" name="outpFreq" maxlength="11" onchange="outpParamSet(this);" />
          </li>
        </ul>
        <ul class="mainfram_ul2">
          <li><b>Output Level(dBuV):</b>
			<input type="text" id="outpLevel" name="outpLevel" maxlength="5" onchange="outpParamSet(this);" />
          </li>
          <li><b>RF Output Switch:</b>
			<select id="rfOutpSwitch" name="rfOutpSwitch" onchange="outpParamSet(this);">
				<option value="1">Open</option>
				<option value="0">Close</option>
				<option value="2">Carrier Wave</option>
			</select>
          </li>
		</ul>
	  </div>
      <div class="mainfram_bar"></div>
      <div class="mainfram_button"> 
      	<img src="../style/img/submit.png" onclick="submitCheck()"/>
      	&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        <img src="../style/img/refresh.png" onclick="self.location.reload(true)" /> 
      </div>
    </form>
  </div>
  	<div id="UpdateLock" style="display:none">
		<table style="position:middle;padding:30px 0px 0px 50px;"><tr><td>
		<font size="6px">Updating now,please wait<span style="text-decoration:blink;">. . .</span></font>
		</td></tr></table>
	</div>
</div>
</body>
</html>
